<?php
function getExt($fichier){
	$tmp = explode(".", $fichier);
	if( count($tmp) == 0 ){
		return "";
	}
	return strtolower($tmp[count($tmp) - 1]);
}




// Limiter la recherche des fichiers aux extensions définis (séparés par une virgule).
define("LIMITE_EXT", "gif,png,jpg,jpeg,swf");
$limiteExt = explode(",", strtolower(LIMITE_EXT));


// Le repertoire a lister
$rep = '../img/';

$tbImg = array();



if( !is_dir($rep) || !is_readable($rep) ){
	exit("erreur");
}

$rsDir = opendir($rep) or exit();
while( false !== ($fichier = readdir($rsDir)) ){
    $cheminFichier = $rep . $fichier;
	if( !is_file($cheminFichier) || !is_readable($cheminFichier) ){
		continue;
	}
	if( LIMITE_EXT && !in_array(getExt($cheminFichier), $limiteExt) ){
		continue;
	}
	array_push($tbImg, $cheminFichier);
}
closedir($rsDir);


// V = entier signé little endian
// N = entier signé big endian
print(pack('N', count($tbImg)));// nombre d'images
foreach($tbImg as $img){
	print(pack('N', filesize($img)));// taille de l'image
	readfile($img);// données de l'image
}

?>